{% extends 'subjects/index.html' %}
{% load static %}

{% block title %}{{ subject }}{% endblock %}
{% load django_bootstrap_breadcrumbs %}
{% block breadcrumbs %}
  {{ block.super }}
  {% breadcrumb subject 'subjects:subject' subject.id %}
{% endblock %}
{% block content %}
  {% render_breadcrumbs %}
  <section class="container-fluid flex-grow">
    <div class="container">
      {% if perms.subjects.change_subject %}
        <a href="/admin/subjects/subject/{{ subject.id }}/change/"><i class="far fa-edit"></i></a>
      {% endif %}
      <div class="tab-content" id="v-pills-tabContent">
        <div class="tab-pane fade show active" id="v-pills-{{ subject.id }}" role="tabpanel"
             aria-labelledby="v-pills-{{ subject.id }}-tab">
          <nav>
            <div class="nav nav-tabs" id="nav-tab-{{ subject.id }}" role="tablist">
              <a class="nav-item nav-link active" id="nav-about-tab-{{ subject.id }}"
                 data-toggle="tab"
                 href="#nav-about-{{ subject.id }}"
                 role="tab" aria-controls="nav-about-{{ subject.id }}" aria-selected="true">О
                дисциплине</a>
              <a class="nav-item nav-link" id="nav-materials-tab-{{ subject.id }}" data-toggle="tab"
                 href="#nav-materials-{{ subject.id }}"
                 role="tab" aria-controls="nav-materials-{{ subject.id }}" aria-selected="false">Материалы
                дисциплины</a>
            </div>
          </nav>
          <div class="tab-content" id="nav-tabContent-{{ subject.id }}">
            <div class="tab-pane fade show active" id="nav-about-{{ subject.id }}" role="tabpanel"
                 aria-labelledby="nav-about-tab-{{ subject.id }}">
              <p>{{ subject.speciality }}</p>
              {{ subject.content|safe }}
              {% for teacher in subject.teachers.all %}
                <a href="{% url 'main:teacher' teacher.id %}"><h6
                    class="card-title">{{ teacher.last_name }} {{ teacher.first_name }} {{ teacher.middle_name }}</h6>
                </a>
              {% endfor %}
            </div>
            <div class="tab-pane fade" id="nav-materials-{{ subject.id }}" role="tabpanel"
                 aria-labelledby="nav-materials-tab-{{ subject.id }}">
              <table id="documents-table" class="table table-bordered">
                <thead>
                <tr>
                  <th>Семестр</th>
                  <th>Название</th>
                  <th>Ссылка</th>
                </tr>
                </thead>
                <tbody>
                {% for m in subject.materials.all %}
                  <tr>
                    <td>{% if m.part %}{{ m.part }}{% endif %}</td>
                    <td><h6>{{ m.name }}</h6>
                      {{ m.category }}
                    </td>
                    <td>
                      <p><a href="{{ m.file.url }}"><i class="far fa-file"></i></a></p>
                      {#                    <a href="{% url 'documents:get_document_qr' document.id %}"> <i class="fas fa-qrcode"></i></a>#}
                      {% if perms.documents.change_document %}
                        <a href="/admin/subjects/material/{{ m.id }}/change/"><i class="far fa-edit"></i></a>
                      {% endif %}
                    </td>
                  </tr>
                {% endfor %}
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>
{% endblock %}